<?
//-----------------------------------------------------------------------------------------------------------------------------
// фрейм объекта
//-----------------------------------------------------------------------------------------------------------------------------

include_once('c_fra_based.php') ;
class c_fra_viewer extends c_fra_based
{ public $obj_info ;

 function body($options=array())
 { if (!$this->url_reffer)
   { echo '<div class=alert>Не передаен указатель на текущий объект</div>' ;
     echo 'cur_page_dir: '._CUR_PAGE_DIR.'<br>' ;
     damp_array($GLOBALS['URL_PARAMS'],1,-1) ;
     _exit() ;
   }
   $this->body_frame($options) ;

   echo 'page URL: '.$_SERVER['REQUEST_URI'].'<br>' ;
   ?><div id="debug"></div><?

 }

 function on_send_header_before($options=array())
 {  global $list_obj_sort_field,$list_obj_sort_mode;
    // значения по текущей сортировке храним в кукисах, а не в сессии - чтобы значения сортировки сохранялись между сессиями
    $list_obj_sort_field=unserialize(stripslashes($_COOKIE['list_obj_sort_field'])) ;
    $list_obj_sort_mode=unserialize(stripslashes($_COOKIE['list_obj_sort_mode'])) ;
    // сохранеям в глобалтных переменных, значения, передеанные через сессию
    if (isset($_POST['_list_obj_sort_field']) and _sizeof($_POST['_list_obj_sort_field'])) { foreach($_POST['_list_obj_sort_field'] as $tkey=>$arr_clss) foreach($arr_clss as $clss=>$value) $list_obj_sort_field[$tkey][$clss]=$value ; setcookie('list_obj_sort_field',serialize($list_obj_sort_field)) ;}
    if (isset($_POST['_list_obj_sort_mode']) and _sizeof($_POST['_list_obj_sort_mode']))   foreach($_POST['_list_obj_sort_mode']  as $tkey=>$arr_clss) foreach($arr_clss as $clss=>$value) $list_obj_sort_mode[$tkey][$clss]=$value ;
    // сохраняем все значения в кукисах
    //setcookie('list_obj_sort_field',serialize($list_obj_sort_field)) ;
    setcookie('list_obj_sort_mode',serialize($list_obj_sort_mode)) ;
 }

 function select_obj_info()
  { global $title_page,$obj_info ;
    //damp_array($this) ;
    if ($this->url_reffer)
    { $this->obj_info=get_obj_info($this->url_reffer) ;
      if ($this->obj_info['pkey'])
      { _CLSS($this->obj_info['clss'])->prepare_public_info($this->obj_info) ;
        $title_page=$obj_info['obj_name'] ;
        $GLOBALS['obj_info']=$this->obj_info ;  // глобалим obj_info - временно
        //damp_array($this->obj_info) ;
      }
    }
  }

  function show_page_obj_menu($obj_info)
  {  if (!$obj_info['pkey']) return(array()) ;
     include_once(_DIR_EXT.'/frames/c_menu_tabs.php') ;
     $menu=new c_top_menu($this) ;
     // формируем набор пунктом меню
     $obj_clss=_CLSS($obj_info['clss']);
     $menu_set=$obj_clss->get_menu_set_to_table($obj_info['tkey'],$obj_info['pkey']) ;
     //print_2x_arr($menu_set) ;
     $menu_options=array('tkey'=>$obj_info['tkey'],'pkey'=>$obj_info['pkey'],'clss'=>$obj_info['clss']) ;
     // выводим меню
     $menu_item=$menu->show($menu_set,$menu_options) ;  // показываем меню
     return($menu_item) ;
  }

}
?>
